Subject: bug#22736: 25.0.91; file-notify calls wrong callbacks

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Feb 2016 22:09:18 +0200

> From: Tassilo Horn <[email-masked]>
> Date: Thu, 18 Feb 2016 20:04:40 +0100
> 
> The problem is that when there is a directory watch on some directory
> and a file watch on a file in that directory, the callback for the
> directory watch gets an event with the descriptor of the file watch.

I think this is because when you ask to watch a file, we actually
watch its parent directory.